import request from "@/scripts/httpRequest";

export const getAllPolygon = (query: any) => {
  return request({
    url: "/data/api-v/polygon/findByCameraId",
    method: "get",
    params: query
  });
};

export const deletePolygon = (query: any) => {
  return request({
    url: "/data/api-v/polygon/delete",
    method: "get",
    params: query
  });
};

export const savePolygon = (params: any) => {
  return request({
    url: "/data/api-v/polygon/save",
    method: "post",
    data: params
  });
};

export const findByCamGroup = (query: any) => {
  return request({
    url:'/data/api-v/polygon/findByCamGroup',
    method: 'get',
    params: query
  });
}

export const saveRelationPolygon = (data: any) => {
  return request({
    url: "/data/api-v/polygon/relation/save",
    method: "post",
    data
  });
}

export const findByGroup = (query:any) =>{
  return request({
    url:"/data/api-v/polygon/relation/findByGroup",
    method: "get",
    params: query
  })
}

export const delRelation = (id:string) => {
  return request({
    url: "/data/api-v/polygon/relation/del?id="+id,
    method: "post"
  })
}